SDL_DestroyAudioStream(3)

NAME
SDL_DestroyAudioStream - Free an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

void SDL_DestroyAudioStream(SDL_AudioStream *stream);

DESCRIPTION
This will release all allocated data, including any audio that is still queued. You do not need to manually clear the stream first.

If this stream was bound to an audio device, it is unbound during this call. If this stream was created with SDL_OpenAudioDeviceStream, the audio device that was opened alongside this stream's creation will be closed, too.

FUNCTION PARAMETERS

stream
    the audio stream to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateAudioStream(3)